Bug 1647608 - [abrt] PackageKit: strchrnul(): packagekitd killed by SIGSEGV
Summary: [abrt] PackageKit: strchrnul(): packagekitd killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:2a4144fd2df1c54012c3220af0d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-07 22:08 UTC by Marcel Hetzendorfer
Modified: 2018-12-07 02:37 UTC (History)
5 users (show)

Fixed In Version: PackageKit-1.1.12-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-07 02:37:53 UTC


Attachments (Terms of Use)
File: backtrace (28.28 KB, text/plain)
2018-11-07 22:09 UTC, Marcel Hetzendorfer
no flags Details
File: cgroup (184 bytes, text/plain)
2018-11-07 22:09 UTC, Marcel Hetzendorfer
no flags Details
File: core_backtrace (10.20 KB, text/plain)
2018-11-07 22:09 UTC, Marcel Hetzendorfer
no flags Details
File: cpuinfo (1.44 KB, text/plain)
2018-11-07 22:09 UTC, Marcel Hetzendorfer
no flags Details
File: dso_list (8.50 KB, text/plain)
2018-11-07 22:09 UTC, Marcel Hetzendorfer
no flags Details
File: environ (191 bytes, text/plain)
2018-11-07 22:09 UTC, Marcel Hetzendorfer
no flags Details
File: exploitable (100 bytes, text/plain)
2018-11-07 22:09 UTC, Marcel Hetzendorfer
no flags Details
File: limits (1.29 KB, text/plain)
2018-11-07 22:09 UTC, Marcel Hetzendorfer
no flags Details
File: maps (48.36 KB, text/plain)
2018-11-07 22:09 UTC, Marcel Hetzendorfer
no flags Details
File: mountinfo (5.57 KB, text/plain)
2018-11-07 22:09 UTC, Marcel Hetzendorfer
no flags Details
File: open_fds (2.90 KB, text/plain)
2018-11-07 22:09 UTC, Marcel Hetzendorfer
no flags Details
File: proc_pid_status (1.28 KB, text/plain)
2018-11-07 22:09 UTC, Marcel Hetzendorfer
no flags Details
File: var_log_messages (71 bytes, text/plain)
2018-11-07 22:09 UTC, Marcel Hetzendorfer
no flags Details

Description Marcel Hetzendorfer 2018-11-07 22:08:57 UTC
Version-Release number of selected component:
PackageKit-1.1.11-1.fc29

Additional info:
reporter:       libreport-2.9.6
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: strchrnul
executable:     /usr/libexec/packagekitd
journald_cursor: s=d8e0d812e67b408a87e9959f393ba4f1;i=f4a7;b=59467255840748c0a883c543f2cd3144;m=81497d821;t=57a03441fc3a2;x=992959a13892aa22
kernel:         4.18.16-300.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Comment 1 Marcel Hetzendorfer 2018-11-07 22:09:05 UTC
Created attachment 1503164 [details]
File: backtrace

Comment 2 Marcel Hetzendorfer 2018-11-07 22:09:07 UTC
Created attachment 1503165 [details]
File: cgroup

Comment 3 Marcel Hetzendorfer 2018-11-07 22:09:09 UTC
Created attachment 1503166 [details]
File: core_backtrace

Comment 4 Marcel Hetzendorfer 2018-11-07 22:09:11 UTC
Created attachment 1503167 [details]
File: cpuinfo

Comment 5 Marcel Hetzendorfer 2018-11-07 22:09:13 UTC
Created attachment 1503168 [details]
File: dso_list

Comment 6 Marcel Hetzendorfer 2018-11-07 22:09:14 UTC
Created attachment 1503169 [details]
File: environ

Comment 7 Marcel Hetzendorfer 2018-11-07 22:09:16 UTC
Created attachment 1503170 [details]
File: exploitable

Comment 8 Marcel Hetzendorfer 2018-11-07 22:09:18 UTC
Created attachment 1503171 [details]
File: limits

Comment 9 Marcel Hetzendorfer 2018-11-07 22:09:20 UTC
Created attachment 1503172 [details]
File: maps

Comment 10 Marcel Hetzendorfer 2018-11-07 22:09:22 UTC
Created attachment 1503173 [details]
File: mountinfo

Comment 11 Marcel Hetzendorfer 2018-11-07 22:09:24 UTC
Created attachment 1503174 [details]
File: open_fds

Comment 12 Marcel Hetzendorfer 2018-11-07 22:09:26 UTC
Created attachment 1503175 [details]
File: proc_pid_status

Comment 13 Marcel Hetzendorfer 2018-11-07 22:09:27 UTC
Created attachment 1503176 [details]
File: var_log_messages

Comment 14 Kalev Lember 2018-11-28 08:58:17 UTC
This should hopefully be fixed in PackageKit 1.1.12 where we fixed a multithreading issue in DnfRepo handling that was likely causing this crash. If the crash is still reproducable after updating to 1.1.12, please reopen the ticket.

Comment 15 Fedora Update System 2018-11-28 09:00:36 UTC
PackageKit-1.1.12-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c3dd0383fa

Comment 16 Fedora Update System 2018-11-29 03:16:29 UTC
PackageKit-1.1.12-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c3dd0383fa

Comment 17 Fedora Update System 2018-12-07 02:37:53 UTC
PackageKit-1.1.12-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.